﻿using GovDataVisApp.ViewModels;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace GovDataVisApp.Views
{
    public sealed partial class ItemDetails : UserControl
    {
        public ItemDetails()
        {
            this.DataContext = App.MapSearch;
            this.InitializeComponent();
        }

        private MapSearchViewModel _viewModel { get { return this.DataContext as MapSearchViewModel; } }

        private void itemDetails_Tapped(object sender, TappedRoutedEventArgs e)
        {
            Popup parent = (Popup)this.Parent;
            if (parent.IsOpen) { parent.IsOpen = false; }
        }
    }
}
