﻿using GovDataVisApp.ViewModels;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace GovDataVisApp.Views
{
    public sealed partial class SearchSelection : UserControl
    {
        public SearchSelection()
        {
            this.DataContext = App.MapSearch;
            this.InitializeComponent();
            
        }

        private MapSearchViewModel _viewModel { get { return this.DataContext as MapSearchViewModel; } }

        private void cancel_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void search_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void Close()
        {
            Popup p = this.Parent as Popup;

            p.IsOpen = false;
        }
    }
}
