﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace GovDataAPI.Models
{
    public class SearchResult
    {
        public SearchResult()
        {
        }

        public SearchResult(Item item)
        {
            this.SetValues(item);
        }

        public void SetValues(Item item)
        {
            this.Id = item.Id;
            this.Title = item.Title;
            this.Description = item.Description;
            this.Source = item.Source.Title;
            this.SourceId = item.SourceId;
            this.Latitude = (double)item.Location.Latitude;
            this.Longitude = (double)item.Location.Longitude;
            this.Location = item.Location;
        }

        public int Id { get; set; }
        public string Title { get; set; }
        public string Description { get; set; }
        public System.Data.Spatial.DbGeography Location { get; set; }
        public double Latitude { get; set; }
        public double Longitude { get; set; }
        public string Source { get; set; }
        public int SourceId { get; set; }
    }
}